# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

%global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")

Name:      dawawin
License:   Waqf
Version:   0.7.0
Release:   2%{dist}
Summary:   Display and store Arabic poems
Summary:   عرض وتخزين القصائد العربية
URL:       http://sourceforge.net/projects/dawawin/
#https://github.com/RaaH/dawawin
Source0:   http://garr.dl.sourceforge.net/project/dawawin/%{name}-arab-%{version}.tar.xz
BuildRequires: perl
BuildRequires: python-devel
Requires: python
Requires:  pygobject3
Requires:  gstreamer
BuildArch: noarch

%description
Display and store Arabic poems.

%description -l ar
عرض وتخزين القصائد الشعرية العربية.

%prep
%setup -q -n %{name}-arab-%{version}
perl -pi -w -e 's| --record=installed-files.txt||g;' src/Makefile
perl -pi -w -e 's|python3|\$(PYTHON)|g;' src/Makefile

%build
#nothing to build

%install
pushd src
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} PYTHON=%{__python}
perl -pi -w -e 's|#!/bin/python3|#!/usr/bin/env python|g;' %{buildroot}%{_bindir}/%{name}
perl -i -l -wpe 's/^(Categories=).*/${1}GTK;Office;/' %{buildroot}%{_datadir}/applications/%{name}.desktop
popd






# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2017 Mosaab Alzoubi <moceap@hotmail.com> -->
<!--
EmailAddress: moceap@hotmail.com
SentUpstream: 2017-1-5
-->
<application>
  <id type="desktop">dawawin.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Display and store Arabic poems</summary>
  <summary xml:lang="ar">عرض وتخزين القصائد الشعرية العربية</summary>
  <description>
    <p>
	Display and store Arabic poems
    </p>
  </description>
  <description xml:lang="ar">
    <p>
	عرض وتخزين القصائد الشعرية العربية.
    </p>
  </description>
  <url type="homepage">http://sourceforge.net/projects/dawawin</url>
  <screenshots>
    <screenshot type="default">http://ojuba.org/screenshots/dawawin.png</screenshot>
  </screenshots>
  <updatecontact>moceap@hotmail.com</updatecontact>
</application>
EOF





%files
%{_bindir}/dawawin
%{python_sitelib}/Dawawin-*.egg-info
%{_datadir}/applications/dawawin.desktop
%{_datadir}/dawawin
%{_docdir}/dawawin
%{_datadir}/fonts/dawawin
%{_datadir}/icons/hicolor/*/apps/dawawin.*
%{_datadir}/appdata/%{name}.appdata.xml

%changelog
* Thu Jan 5 2017 Mosaab Alzoubi <moceap@hotmail.com> - 0.7.0-2
- Built for Ojuba
- Add appdata

* Tue Oct 13 2015 Muhammad Shaban <Mr.Muhammad@outlook.com> - 0.7.0-1
- update

* Sat Oct 03 2015 Muhammad Shaban <Mr.Muhammad@outlook.com> - 0.6.0-1
- update

* Sun Sep 27 2015 Muhammad Shaban <Mr.Muhammad@outlook.com> - 0.5.0-1
- update

* Tue Sep 22 2015 Muhammad Shaban <Mr.Muhammad@outlook.com> - 0.4.1-1
- update

* Sat Aug 29 2015 Muhammad Shaban <Mr.Muhammad@outlook.com> - 0.3.0-1
- update

* Wed Jan 29 2014 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.2.1-1
- update

* Tue Jan 21 2014 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.2.0-1
- update

* Sun Aug 11 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.29.1-1
- update

* Fri Aug 09 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.29-1
- update

* Wed Jul 03 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.28.1-1
- update

* Wed Jul 03 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.28-1
- update

* Sat Jun 22 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.27-1
- update

* Thu Jun 20 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.26-1
- update

* Sun Jun 16 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.25-1
- update

* Wed Jun 12 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.24-1
- update

* Tue Jun 11 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.23-1
- update

* Fri Jun 07 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.22-1
- update

* Mon Jun 03 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.21-1
- update

* Wed May 29 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.20-1
- update

* Fri May 24 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.19-1
- update

* Wed May 15 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.18-1
- update

* Sat May 11 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.17-1
- update

* Wed May 08 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.16-1
- update

* Sat May 04 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.15-1
- update

* Fri May 03 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.14-1
- update

* Wed May 01 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.12-1
- update

* Tue Apr 30 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.11-1
- update

* Sun Apr 28 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.10-1
- update

* Thu Apr 18 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.9-1
- update

* Tue Apr 16 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.7-1
- update

* Mon Apr 15 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.6-1
- update

* Sat Apr 13 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.5-1
- update

* Thu Apr 11 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1.3-1
- update

* Sat Apr 06 2013 Muhammad Shaban <Mr.Muhammad@linuxac.org> - 0.1-1
- Initial release
